Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	Bittorrent Client
Name:      	qbittorrent
Version:   	1.1.3
Release:   	1
License: 	GNU/GPL
URL: 		http://qbittorrent.sourceforge.net/
Group:    	Networking/File Transfer
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libICE-devel
BuildRequires:  qt4-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXi-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  boost-devel
BuildRequires:  glibc-devel
BuildRequires:  curl-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  glib-devel
BuildRequires:  libpng-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtorrent-devel
BuildRequires:  zlib-devel
BuildRequires:  zziplib-devel
BuildRequires:  commoncpp2-devel
BuildRequires:	asio-devel

%description
qBittorrent can now be considered as a good alternative to other bittorrent clients. It provides a lot of features such as:
* A polished Graphical User Interface written with Qt4.2 toolkit
* Multiple simultaneous downloads / uploads
* An integrated search engine
* DHT (trackerless) support
* uTorrent Peer eXchange support (PeX)
* Directory scanning with automated download of torrents inside
* Good internationalization (~25 languages supported)
* Selective download of files in a torrent
* Media File previewing while downloading
* Torrent trackers edition and prioritizing
* Seeders / Leechers displayed in download list
* Torrent download in correct order
* System tray integration
* Tracker authentication support
* Unicode support
* Torrent downloading directly from their url
* Connection though a proxy
* IP Filtering similar to the one in eMule

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-libmagick
make

%install
rm -rf $RPM_BUILD_ROOT
# creating directory structur
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
mkdir -p $RPM_BUILD_ROOT%_applications
mkdir -p $RPM_BUILD_ROOT%_datadir/icons/hicolor
# installing binary
install -m 755 -p src/qbittorrent $RPM_BUILD_ROOT%_bindir/qbittorrent
strip $RPM_BUILD_ROOT%_bindir/qbittorrent
# installing other files
install -m 644 -p doc/qbittorrent.1 $RPM_BUILD_ROOT%_mandir/man1/
install -m 644 -p src/Icons/qBittorrent.desktop $RPM_BUILD_ROOT%_applications/
cp -f -r src/menuicons/128x128 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/16x16 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/192x192 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/22x22 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/24x24 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/32x32 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/36x36 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/48x48 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/64x64 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/72x72 $RPM_BUILD_ROOT%_datadir/icons/hicolor/
cp -f -r src/menuicons/96x96 $RPM_BUILD_ROOT%_datadir/icons/hicolor/

%files
%defattr(-,root,root)
%_bindir
%_mandir
%_applications
%_datadir/icons

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.3-1
- version update
* Sun Aug 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- version update
* Sat Aug 09 2008 Christian Wasem <wasem@ccux-linux.de> 1.1.1-1
- Version update
* Fri Apr 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-11
- 1.0.0 final
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-10
- rebuilt against ImageMagick 6.3.9.3
* Fri Jan 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-9
- rebuilt against libstdc++ 1:4.1.2
* Sun Dec 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-8
- rc11
* Fri Nov 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-7
- rc10
* Fri Nov 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-6
- rc8
* Sun Nov 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-5
- rc7
* Sun Oct 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-4
- rc6
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-3
- rc5
* Sun Oct 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-2
- rc4
* Sun Sep 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Version update
- rc3
* Mon Aug 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-2
- rebuilt against boost 1.34.1
* Wed May 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.3-1
- Version update
* Sun Apr 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.2-1
- Initial Release
